Subject: 83xx usage of pci_fixup_irq

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 26 Oct 2006 14:34:25 +1000

I'd like to remove on ppc32 those 2 members of ppc_md:

unsigned char (*pci_swizzle)(struct pci_dev *, unsigned char *);
int (*pci_map_irq)(struct pci_dev *, unsigned char, unsigned char);

They are used by only those 2 platforms:

arch/powerpc/platforms/83xx/mpc832x_mds.c:

and

arch/powerpc/platforms/83xx/mpc8360e_pb.c:

They shouldn't be necessary however with the prom_parse.c code and using
standard of_irq_map_pci() (or pci_read_irq_line() which uses it).

So is there any special reason I can't just remove these ?

(I'm also adding a common 32/64 bits pci_irq_fixup for platforms that
really need a fixup and making pci_read_irq_line() the default).

If we ever need some non-standard swizzle, then I might re-introduce a
swizzle callback in here (but common 32/64 bits this time) that is used
by of_irq_map_pci().

Ben.